Bug 132557 - sysutils/lsof: HASSECURITY patch is not needed
Summary: sysutils/lsof: HASSECURITY patch is not needed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: pav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-11 20:20 UTC by leres
Modified: 2009-03-19 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2009-03-11 20:20:01 UTC
 	The lsof port has a patch that turns HASSECURITY on. However,
 	thanks to the security.bsd.see_other_uids sysctl feature,
 	a lsof binary that was built without HASSECURITY does not
 	report any additional information whensecurity.bsd.see_other_uids
 	is set to 0.
 
 	It would be nice to get rid of this since enabling HASSECURITY
 	has the nasty side effect that non-root users cannot use
 	lsof to look at processes other than their own even if they
 	a member of group kmem.

Fix: 

Remove files/patch-aa from the port
How-To-Repeat:  	Build and install lsof without HASSECURITY; note the
 	differences in output when the security.bsd.see_other_uids
 	sysctl is enabled and disabled.
Comment 1 Mark Linimon freebsd_committer 2009-03-12 06:20:30 UTC
Class Changed
From-To: sw-bug->change-request

Fix format mangling. 


Comment 2 Mark Linimon freebsd_committer 2009-03-12 06:20:30 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs
Comment 3 pav freebsd_committer 2009-03-19 16:57:30 UTC
Hi Larry,

this PR came in:
http://www.freebsd.org/cgi/query-pr.cgi?pr=132557

Can you give us our opinion on it?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Any sufficiently advanced technology is indistinguishable from magic.
  -- Arthur C. Clarke
Comment 4 pav freebsd_committer 2009-03-19 16:57:34 UTC
State Changed
From-To: open->feedback
Comment 5 pav freebsd_committer 2009-03-19 16:57:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Tracking
Comment 6 Larry Rosenman freebsd_committer 2009-03-19 18:48:47 UTC
I'm fine with it as long as so@ is fine with it. 


-- 
Larry Rosenman                     http://www.lerctr.org/~ler
Phone: +1 512-248-2683                E-Mail: ler@lerctr.org
US Mail: 430 Valona Loop, Round Rock, TX 78681-3893
Comment 7 pav freebsd_committer 2009-03-19 19:13:27 UTC
State Changed
From-To: feedback->open

maintainer: " I'm fine with it as long as so@ is fine with it. " 
so, asking so@ now
Comment 8 pav freebsd_committer 2009-03-19 22:24:31 UTC
State Changed
From-To: open->closed

Committed, thanks! (so agreed)
Comment 9 dfilter freebsd_committer 2009-03-19 22:28:09 UTC
pav         2009-03-19 22:27:55 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/lsof        Makefile 
  Removed files:
    sysutils/lsof/files  patch-aa 
  Log:
  The lsof port has a patch that turns HASSECURITY on. However, thanks to the
  security.bsd.see_other_uids sysctl feature, a lsof binary that was built
  without HASSECURITY does not report any additional information
  whensecurity.bsd.see_other_uids is set to 0.
  
  It would be nice to get rid of this since enabling HASSECURITY has the nasty
  side effect that non-root users cannot use lsof to look at processes other than
  their own even if they a member of group kmem.
  
  PR:             ports/132557
  Submitted by:   Craig Leres <leres@ee.lbl.gov>
  Approved by:    maintainer, so (cperciva)
  
  Revision  Changes    Path
  1.175     +1 -0      ports/sysutils/lsof/Makefile
  1.3       +0 -11     ports/sysutils/lsof/files/patch-aa (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"